Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 420573 - haskell-updater wrongly identifies packages as not installed by package manager
Summary: haskell-updater wrongly identifies packages as not installed by package manager
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-10 19:53 UTC by vladimir15
Modified: 2014-06-28 12:48 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
qpkg of parsec (parsec-3.1.2-r1.tbz2,456.39 KB, application/octet-stream)
2012-06-10 19:58 UTC, vladimir15
Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir15 2012-06-10 19:53:56 UTC
Haskell updater doesn't seem to properly identify some packages emerged by portage and fails having them rebuilt, saying they were not installed by portage.

Reproducible: Didn't try

Steps to Reproduce:
1. update ghc-7.4.1 to ghc-7.4.1-r1,
2. haskell-updater --upgrade
3. haskell-updater
Actual Results:  
Running haskell-updater using GHC 7.4.1
  * Executable: /usr/bin/ghc
  * Library directory: /usr/lib64/ghc-7.4.1
  * Package manager (PM): portage

Searching for packages installed with a different version of GHC.

No old packages found!

Searching for Haskell libraries with broken dependencies.

The following packages don't seem to have been installed by your package manager:
  * network-2.3.0.11
  * darcs-2.5.2
  * parsec-3.1.2
  (some have been unmerged manually for research)
No broken packages found!


Nothing to build!


Expected Results:  
Packages are identified as handled by portage and remerged.

Portage 2.1.10.49 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.14.1-r3, 3.2.1-<censored> x86_64)
=================================================================
System uname: Linux-3.2.1-x86_64-<censored>
Timestamp of tree: Sat, 09 Jun 2012 20:30:01 +0000
app-shells/bash:          4.2_p20
dev-lang/python:          2.7.3-r1, 3.2.3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.6
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo local gentoo-haskell
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mcx16 -msahf -mpopcnt -msse4.2 -mtune=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mcx16 -msahf -mpopcnt -msse4.2 -mtune=core2 -O2 -pipe"
DISTDIR="/store/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/store/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /var/lib/layman/haskell"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl amd64 bash-completion berkdb bzip2 caps cli cracklib crypt cups cxx dri fortran gdbm iconv iproute2 ipv6 mmx modules mudflap multilib ncurses nptl openmp pam pcre pppd readline session snmp sqlite sse sse2 ssl tcpd unicode xattr xml zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

$eix parsec
[I] dev-haskell/parsec
     Available versions:  
	(0)	2.1.0.1 2.1.0.1[1] (~)3.1.2-r1
	(3)	(~)3.1.1[1]
	{doc hscolour profile}
     Installed versions:  3.1.2-r1(12:09:40 03/30/12)(-doc -hscolour -profile)
     Homepage:            http://www.cs.uu.nl/~daan/parsec.html
     Description:         Monadic parser combinators

[1] "gentoo-haskell" /var/lib/layman/haskell
Comment 1 vladimir15 2012-06-10 19:58:04 UTC
Created attachment 314889 [details]
qpkg of parsec
Comment 2 Sergei Trofimovich gentoo-dev 2012-06-12 18:40:25 UTC
Seems our package reregistration is broken on revbump-only ghc upgrades.
Comment 3 Sergei Trofimovich gentoo-dev 2014-06-28 12:48:27 UTC
I think we've fixed it in latest hackport.